# Uses of Interface
org.gitana.platform.client.node.type.Definition

Packages that use Definition
Package
Description
org.gitana.platform.client.branch
org.gitana.platform.client.node.type

## Uses of Definition in org.gitana.platform.client.branch

Methods in org.gitana.platform.client.branch that return Definition
Modifier and Type
Method
Description
`Definition`
Branch.`readDefinition(org.gitana.platform.support.QName qname)`
Reads a definition
`Definition`
BranchImpl.`readDefinition(org.gitana.platform.support.QName qname)`
Methods in org.gitana.platform.client.branch that return types with arguments of type Definition
Modifier and Type
Method
Description
`Map<org.gitana.platform.support.QName,Definition>`
Branch.`listDefinitions()`
Retrieves definitions for the branch
`Map<org.gitana.platform.support.QName,Definition>`
Branch.`listDefinitions(DefinitionFilterType filter, boolean custom, boolean system, org.gitana.platform.support.Pagination pagination)`
`Map<org.gitana.platform.support.QName,Definition>`
BranchImpl.`listDefinitions()`
`Map<org.gitana.platform.support.QName,Definition>`
BranchImpl.`listDefinitions(DefinitionFilterType filter, boolean custom, boolean system, org.gitana.platform.support.Pagination pagination)`

## Uses of Definition in org.gitana.platform.client.node.type

Subinterfaces of Definition in org.gitana.platform.client.node.type
Modifier and Type
Interface
Description
`interface`
`AssociationDefinition`
`interface`
`FeatureDefinition`
`interface`
`TypeDefinition`
Classes in org.gitana.platform.client.node.type that implement Definition
Modifier and Type
Class
Description
`class`
`AssociationDefinitionImpl`
`class`
`FeatureDefinitionImpl`
`class`
`TypeDefinitionImpl`